Skip to main content
GET
/
v2
/
notifications
/
subscriptions
/
permissionless
Get all webhook subscriptions
curl --request GET \
  --url https://api.circle.com/v2/notifications/subscriptions/permissionless \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
      "endpoint": "https://example.org/handler/for/notifications",
      "enabled": true,
      "notificationTypes": [
        "gateway.*"
      ],
      "restricted": false,
      "addresses": [
        "0x1234567890abcdef1234567890abcdef12345678"
      ],
      "domains": [
        "26"
      ],
      "environment": "TEST",
      "createDate": "2023-01-01T12:04:05Z",
      "updateDate": "2023-01-01T12:04:05Z",
      "name": "Gateway Webhooks"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.circle.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are required to make a successful request.

Query Parameters

environment
enum<string>

Filter subscriptions by environment. If omitted, returns subscriptions for all environments. The environment for the subscription. Use TEST to receive testnet events or LIVE to receive mainnet events.

Available options:
TEST,
LIVE
Example:

"TEST"

Response

Successfully retrieved webhook subscriptions.

data
PermissionlessSubscription · object[]